package routers

import (
	"github.com/gin-gonic/gin"
	"slg/middleware/jwt"
	"slg/routers/api/h5"
)

func InitRouter() *gin.Engine {
	r := gin.New()
	r.Use(gin.Logger())
	r.Use(gin.Recovery())

	client := r.Group("/h5")
	client.GET("/banks", h5.GetBank)
	client.POST("/add-bank", h5.AddBank)
	client.PUT("/update-bank", h5.UpdateBank)
	client.DELETE("/delete-bank", h5.DeleteBank)

	api := r.Group("/api")
	api.Use(jwt.JWT())
	{

	}

	return r
}
